aboutsummaryrefslogtreecommitdiffstats
path: root/ubuntu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ubuntu.sh')
-rwxr-xr-xubuntu.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/ubuntu.sh b/ubuntu.sh
new file mode 100755
index 0000000..5328113
--- /dev/null
+++ b/ubuntu.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env sh
+
+set -e
+#set -x
+
+NAME=$1
+DIST=ubuntu
+RELEASE=artful
+ARCH=amd64
+PACKAGES="curl libssl-dev libncurses5-dev zsh vim sudo erlang-nox git make autoconf automake gcc"
+
+for f in ci.d/*; do source "$f"; done
+
+buildkite_stop $DIST
+lxc_destroy
+lxc_create $DIST $RELEASE $ARCH
+lxc_wait_for_ip
+apt_get_upgrade
+apt_get_install $PACKAGES
+buildkite_install $DIST $BUILDKITE_TOKEN
+ssh_copy_host_key
+ssh_copy_host_key buildkite-agent /var/lib/buildkite-agent
+lxc_restart